%global momorel 6
%global xfce4ver 4.6.2

Summary:        Radio plugin for the Xfce panel
Name:           xfce4-radio-plugin
Version:        0.4.1
Release:        %{momorel}m%{?dist}
License:        GPLv2
Group:          Applications/System
URL:		http://goodies.xfce.org/projects/panel-plugins/%{name}
#Source0:	http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.bz2
Source0:	http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.gz
NoSource:	0
Patch0:	%{name}-%{version}-fix-build.patch

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gettext-devel
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  xfce4-dev-tools >= 4.6.0
BuildRequires:  xfce4-panel-devel >= %{xfce4ver}
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This is an Xfce panel plugin which allows you to control your V4l
radio device. You can turn your radio on/off, tune it to some
frequency and manage station presets.

%prep
%setup -q

%patch0 -p1 -b .fix-build

%build
%configure --libexecdir=%{_libdir} LIBS="-lm"
%{__make}

%install
rm -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/xfce4/panel-plugins/xfce4-radio-plugin
%{_datadir}/xfce4/panel-plugins/*
%{_iconsdir}/hicolor/*/*/*.png

%changelog
* Thu Sep  2 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.1-6m)
- [BUILD FIX] fix build with new kernel

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4.1-5m)
- full rebuild for mo7 release

* Tue Aug 10 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4.1-4m)
- rebuild against xfce4-4.6.2

* Wed Jul 28 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.1-3m)
- fix build

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.4.1-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun Mar  1 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4.1-1m)
- rebuild against xfce4-4.6

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2.0-4m)
- rebuild against rpm-4.6

* Mon Nov  3 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.0-3m)
- add patch0 (build fix only)

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.0-2m)
- rebuild against gcc43

* Wed Dec  5 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.0-1m)
- initial Momonga package base on PLD
